"use strict";

UIMiniFramework.CustomComponents.Text = function(className, label, value){
    UIMiniFramework.CustomComponents.GenericComponent.call(this);

    this.class = className;
    this.selectable = true;
    this.type = UIMiniFramework.Globals.componentTypes.text;
    this.template = UIMiniFramework.Templates.textComponent;
    this.label = label;
    this.items = [value];
};

UIMiniFramework.Tools.inheritPrototype(UIMiniFramework.CustomComponents.Text, UIMiniFramework.CustomComponents.GenericComponent);

UIMiniFramework.CustomComponents.Text.prototype.setValue = function(value){
    this.items = [value];
    $('.' + this.code).find('.content').text(value);
};

UIMiniFramework.CustomComponents.Text.prototype.getValue = function(){
    return this.items.join('');
};

UIMiniFramework.CustomComponents.Text.prototype.setLabel = function(value){
    $('.' + this.code).find('.label').html(value);
};
UIMiniFramework.CustomComponents.Text.prototype.updateLabels = function(){
    $('.' + this.code).children('.label').text(this.label);
};
